backend:
  name: gitea
  repo: nycki/nycki.net
  app_id: acac8250-0f2d-49c7-a95f-f453ed3ce2ba
  api_root: https://git.nycki.net/api/v1
  base_url: https://git.nycki.net
  auth_endpoint: https://git.nycki.net/login/oauth/authorize
  branch: main

media_folder: "public/a"
public_folder: "/a"

collections:
  - name: "blog"
    label: "blog"
    folder: "content/blog"
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: 'date', name: 'date', widget: 'datetime' }
      - { label: 'title', name: 'title', widget: 'string' }
      - { label: 'description', name: 'description', widget: 'string', required: false }
      - { label: 'tags', name: 'tags', widget: 'list', required: false }
      - { label: 'draft', name: 'draft', widget: 'boolean', required: false }
      - { label: 'body', name: 'body', widget: 'markdown', required: false }

